DirectoryValidator.DirectoryCheckResult (IcedTea-Web: NetX )
Keywords: net.sourceforge.jnlp.config.DirectoryValidator.DirectoryCheckResult class
Date: 2016-02-03

net.sourceforge.jnlp.config

## Class DirectoryValidator.DirectoryCheckResult

- java.lang.Object
- - net.sourceforge.jnlp.config.DirectoryValidator.DirectoryCheckResult

- Enclosing class:
    DirectoryValidator

      public static class DirectoryValidator.DirectoryCheckResult
      extends java.lang.Object

  Is storing result of directory validation. validated are existence of directory whether it is directory if it have read/write permissions

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `correctPermissions`
    `boolean` | `exists`
    `boolean` | `isDir`
    `DirectoryValidator.DirectoryCheckResult` | `subDir`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DirectoryValidator.DirectoryCheckResult(java.io.File testedDir)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getFailures()` count failures of this result (0-3, both inclusive).
    `java.lang.String` | `getMessage()` Convert results to string.
    `int` | `getPasses()` count passes of this result (0-3, both inclusive).
    `static java.lang.String` | `notDirMessage(java.io.File f)`
    `static java.lang.String` | `notExistsMessage(java.io.File f)`
    `java.lang.String` | `toString()`
    `static java.lang.String` | `wrongPermissionsMessage(java.io.File f)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### exists

          public boolean exists

    - #### isDir

          public boolean isDir

    - #### correctPermissions

          public boolean correctPermissions

    - #### subDir

          public DirectoryValidator.DirectoryCheckResult subDir

  - ### Constructor Detail

    - #### DirectoryValidator.DirectoryCheckResult

          public DirectoryValidator.DirectoryCheckResult(java.io.File testedDir)

  - ### Method Detail

    - #### notExistsMessage

          public static java.lang.String notExistsMessage(java.io.File f)

    - #### notDirMessage

          public static java.lang.String notDirMessage(java.io.File f)

    - #### wrongPermissionsMessage

          public static java.lang.String wrongPermissionsMessage(java.io.File f)

    - #### getPasses

          public int getPasses()

      count passes of this result (0-3, both inclusive).
      Returns:
        how many times it passed

    - #### getFailures

          public int getFailures()

      count failures of this result (0-3, both inclusive).
      Returns:
        how many failures appeared

    - #### getMessage

          public java.lang.String getMessage()

      Convert results to string. Each failure by line. PAsses are not mentioned The subdirectory (and it subdirectories are included to )
      Returns:
        string with \n, or/and ended by \n

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Submit a bug or feature